Name:          glassfish-ha-api
Version:       3.1.9
Release:       %mkrel 10
Group:         Development/Java
Summary:       High Availability APIs and SPI
License:       CDDL or GPLv2 with exceptions
URL:           http://glassfish.java.net/
# svn export https://svn.java.net/svn/glassfish~svn/tags/ha-api-3.1.9 glassfish-ha-api-3.1.9
# tar czf glassfish-ha-api-3.1.9-src-svn.tar.gz glassfish-ha-api-3.1.9
Source0:       %{name}-%{version}-src-svn.tar.gz
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
# glassfish-ha-api package don't include the license file
Source1:       glassfish-LICENSE.txt

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.glassfish.hk2:hk2-api)
BuildRequires: mvn(org.glassfish.hk2:osgiversion-maven-plugin)

BuildArch:     noarch

%description
GlassFish High Availability APIs and SPI.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Remove support for hk2-jar
%pom_xpath_remove "pom:supportedProjectTypes"
%pom_remove_plugin org.glassfish.hk2:hk2-maven-plugin

%pom_xpath_set pom:packaging bundle
%pom_xpath_inject "pom:plugin[pom:artifactId ='maven-bundle-plugin']" "
<version>2.5.4</version>
<extensions>true</extensions>"

%pom_change_dep :hk2 :hk2-api

# META-INF/inhabitants/default contents ...not available without hk2
#class=org.glassfish.ha.store.impl.NoOpBackingStoreFactory,index=org.glassfish.ha.store.api.BackingStoreFactory:noop
#class=org.glassfish.ha.store.spi.ObjectInputStreamWithLoader

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file :ha-api %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.1.9-10.mga6
+ Revision: 982197
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.1.9-9.mga6
+ Revision: 976281
- First rebuild of the java stack
- sync package glassfish-ha-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 24 2014 dmorgan <dmorgan> 3.1.9-4.mga5
+ Revision: 805467
- imported package glassfish-ha-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 3.1.9-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Oct 02 2012 gil cattaneo <puntogil@libero.it> 3.1.9-1
- initial rpm
